BioSQLFeatureFilter.ByNoteTermOnly (BioJava-1.5-beta API)
Keywords: org.biojavax.bio.db.biosql.BioSQLFeatureFilter.ByNoteTermOnly class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax.bio.db.biosql
Class BioSQLFeatureFilter.ByNoteTermOnly

    java.lang.Object
      org.biojavax.bio.db.biosql.BioSQLFeatureFilter.HibernateFeatureFilter
          org.biojavax.bio.db.biosql.BioSQLFeatureFilter.ByNoteTermOnly

All Implemented Interfaces:
  Serializable, FeatureFilter, BioSQLFeatureFilter

Enclosing interface:
  BioSQLFeatureFilter

    public static final class BioSQLFeatureFilter.ByNoteTermOnly

extends BioSQLFeatureFilter.HibernateFeatureFilter

A filter that returns all features that have a note with the given term. The value and rank is not checked.

Since:
  1.5
Author:
  Richard Holland
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojavax.bio.db.biosql.BioSQLFeatureFilter
`BioSQLFeatureFilter.And, BioSQLFeatureFilter.ByName, BioSQLFeatureFilter.ByNote, BioSQLFeatureFilter.ByNoteTermOnly, BioSQLFeatureFilter.ByRank, BioSQLFeatureFilter.BySequenceName, BioSQLFeatureFilter.BySourceTerm, BioSQLFeatureFilter.BySourceTermName, BioSQLFeatureFilter.ByStrand, BioSQLFeatureFilter.ByTypeTerm, BioSQLFeatureFilter.ByTypeTermName, BioSQLFeatureFilter.ContainedByRichLocation, BioSQLFeatureFilter.HibernateFeatureFilter, BioSQLFeatureFilter.Not, BioSQLFeatureFilter.Or, BioSQLFeatureFilter.OverlapsRichLocation, BioSQLFeatureFilter.Tools`

Nested classes/interfaces inherited from interface org.biojava.bio.seq.FeatureFilter
`FeatureFilter.AnnotationContains, FeatureFilter.ByAncestor, FeatureFilter.ByAnnotation, FeatureFilter.ByAnnotationType, FeatureFilter.ByChild, FeatureFilter.ByClass, FeatureFilter.ByComponentName, FeatureFilter.ByDescendant, FeatureFilter.ByFeature, FeatureFilter.ByPairwiseScore, FeatureFilter.ByParent, FeatureFilter.BySource, FeatureFilter.ByType, FeatureFilter.ContainedByLocation, FeatureFilter.FrameFilter, FeatureFilter.HasAnnotation, FeatureFilter.OnlyChildren, FeatureFilter.OnlyDescendants, FeatureFilter.OverlapsLocation, FeatureFilter.ShadowContainedByLocation, FeatureFilter.ShadowOverlapsLocation, FeatureFilter.StrandFilter`

Field Summary

Fields inherited from class org.biojavax.bio.db.biosql.BioSQLFeatureFilter.HibernateFeatureFilter
`and, conjunctAdd, conjunction, disjunctAdd, disjunction, eq, ge, le, not, or`

Fields inherited from interface org.biojavax.bio.db.biosql.BioSQLFeatureFilter
`all, none`

Fields inherited from interface org.biojava.bio.seq.FeatureFilter
`leaf, top_level`

Constructor Summary
`BioSQLFeatureFilter.ByNoteTermOnly(ComparableTerm term)`

Method Summary
`boolean` | `accept(Feature f)` This method determines whether a feature is to be accepted.
`Object` | `asCriterion()` This method returns a Hibernate Criterion object that can be used to query the database.
`Map` | `criterionAliasMap()` Returns a map of property names (keys) to aliases (values), if the criterion returned by asCriterion() uses aliases at all.
`boolean` | `equals(Object o)`
`ComparableTerm` | `getTerm()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BioSQLFeatureFilter.ByNoteTermOnly

    public BioSQLFeatureFilter.ByNoteTermOnly(ComparableTerm term)

Method Detail

### getTerm

    public ComparableTerm getTerm()

### accept

    public boolean accept(Feature f)

  Description copied from interface: `FeatureFilter`
  This method determines whether a feature is to be accepted.

  Parameters:
    `f` - the Feature to evaluate
  Returns:
    true if this feature is to be selected in, or false if it is to be ignored

### asCriterion

    public Object asCriterion()

  Description copied from interface: `BioSQLFeatureFilter`
  This method returns a Hibernate Criterion object that can be used to query the database.

  Returns:
    a Hibernate Criterion object representing this filter.

### criterionAliasMap

    public Map criterionAliasMap()

  Description copied from interface: `BioSQLFeatureFilter`
  Returns a map of property names (keys) to aliases (values), if the criterion returned by asCriterion() uses aliases at all. If not, then it must at least return the empty map else you'll get NullPointerExceptions thrown elsewhere.

  Specified by:
    `criterionAliasMap` in interface `BioSQLFeatureFilter`
  Overrides:
    `criterionAliasMap` in class `BioSQLFeatureFilter.HibernateFeatureFilter`
  Returns:
    Map a map of property names to aliases used in the criterion.

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD